$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.41.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.41.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B9C31C4EB0B703970844F6ABEC2F4C623C66C1AC64FA68D120EEF742816FD984'
  checksumType = 'sha256'
  checksum64 = 'B9C31C4EB0B703970844F6ABEC2F4C623C66C1AC64FA68D120EEF742816FD984'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.41-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
